package dao;

import static org.junit.Assert.assertTrue;

import org.junit.Before;
import org.junit.Test;

import dao.SalaDAO;

import business.Sala;


public class SalaDaoTestCase {
	Sala sala = new Sala();
	SalaDAO salaDao = new SalaDAO();
	
	@Before
	public void setUp() throws Exception {
		salaDao.removeSala(10);
		sala.setNumero("10");
		sala.setBloco("F");
		sala.setCampus("RJ");
	}
	       
	@Test
	public void testAdicionarSala() {
		String msg = salaDao.adicionarSala(sala); 
		assertTrue(msg.contains("Sala Cadastrada com Sucesso!"));
	}
}
